<div class="modal-dialog modal-dialog-centered" role="document">
  <div class="modal-content">
    <div class="modal-header">
      <h1 class="modal-title fs-5" id="settingsModalTitle">Runner settings</h1>
      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
      <h6>Mode</h6>
      <div class="form-group mt-2">
        <div class="mb-2 form-check">
          <input
            class="form-check-input"
            type="radio"
            name="mode"
            id="paginated"
            [checked]="runner.mode === 'paginated'"
            (change)="runner.set('mode', 'paginated')"
          />
          <label class="form-check-label" for="paginated"> Paginated </label>
        </div>
        <div class="mb-2 form-check">
          <input
            class="form-check-input"
            type="radio"
            name="mode"
            id="continuous"
            [checked]="runner.mode === 'continuous'"
            (change)="runner.set('mode', 'continuous')"
          />
          <label class="form-check-label" for="continuous"> Continuous </label>
        </div>
        <div class="mb-2 form-check">
          <input
            class="form-check-input"
            type="radio"
            name="mode"
            id="progressive"
            [checked]="runner.mode === 'progressive'"
            (change)="runner.set('mode', 'progressive')"
          />
          <label class="form-check-label" for="progressive"> Progressive </label>
        </div>
        <hr />
        <h6>Display</h6>
        <div class="form-group mt-2">
          <div class="form-check form-switch mb-2">
            <input
              class="form-check-input"
              type="checkbox"
              [checked]="runner.enumerators"
              (change)="runner.set('enumerators', !runner.enumerators)"
              role="switch"
              id="enumerators"
            />
            <label class="form-check-label" for="enumerators"> Enumerators </label>
          </div>
          <div class="form-check form-switch mb-2">
            <input
              class="form-check-input"
              type="checkbox"
              [checked]="runner.pages"
              [disabled]="runner.mode !== 'paginated'"
              (change)="runner.set('pages', !runner.pages)"
              role="switch"
              id="pages"
            />
            <label class="form-check-label" for="pages"> Page navigation </label>
          </div>
          <div class="form-check form-switch mb-2">
            <input
              class="form-check-input"
              type="checkbox"
              [checked]="runner.progressbar"
              (change)="runner.set('progressbar', !runner.progressbar)"
              role="switch"
              id="progressbar"
            />
            <label class="form-check-label" for="progressbar"> Progressbar </label>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
